// for Apple Pi
// (C)Copyright 2015 All rights reserved by Y.Onodera
// http://einstlab.web.fc2.com
// using bcm2835 library
// see http://airspayce.com/mikem/bcm2835/
// gcc -o foo var.c -l bcm2835
// sudo ./foo

#include <stdio.h>
#include <stdlib.h>
#include <bcm2835.h>

// LED2 = GPIO6 = J8_31
#define PIN RPI_BPLUS_GPIO_J8_31

int main(int argc, char **arg)
{
	if(!bcm2835_init())return 1;

	bcm2835_gpio_fsel(PIN, BCM2835_GPIO_FSEL_OUTP);

	bcm2835_gpio_write(PIN, LOW);

}


