// for Apple Pi
// (C)Copyright 2015 All rights reserved by Y.Onodera
// http://einstlab.web.fc2.com
// using wiringPi library
// $ gcc -o foo var.c -l wiringPi
// $ sudo ./foo

#include <stdio.h>
#include <wiringPi.h>

// SW1 = GPIO22 = J8_15
//#define PIN RPI_BPLUS_GPIO_J8_15
#define PIN 3

void isr()
{
	// nothing to do
}

int main(int argc, char **arg)
{

	wiringPiSetup();

	pinMode(PIN, INPUT);
	pullUpDnControl(PIN, PUD_UP);

	wiringPiISR(PIN,INT_EDGE_FALLING,(void*)isr);
	waitForInterrupt(PIN,-1);

}


